var AlertPage = 
{
    id: "err-content",
    footerImg: "Images/AlertPage/footer.png",
    errText: "",
};

AlertPage.show = function(text, title, doNotNotify)
{
    Utils.getById("err_anchor").focus();

    Utils.getById("blackout").style.display = "block";
    if (!title) {
        title = "Ошибка";
    }
    Utils.putHtml(Utils.getById("err-title"), title);
    Utils.putHtml(Utils.getById("err-msg"), text.replace("\n", "<br />"));
    if (!doNotNotify) {
        AlertPage.errText = text.slice(0,32);
        AlertPage.notifyStat(false);
    }
};

AlertPage.hide = function()
{
    Utils.getById("anchor").focus();

    Utils.getById("blackout").style.display = "none";
    Utils.putHtml(Utils.getById("err-msg"), "");
};

AlertPage.keyDown = function(key)
{
    var keyCode = event.keyCode;
    switch (keyCode)
    {
        case tvKey.KEY_ENTER:
        case tvKey.KEY_PANEL_ENTER:
        case tvKey.KEY_RETURN:
        case tvKey.KEY_PANEL_RETURN:
        {
            widgetAPI.blockNavigation(event);
            AlertPage.hide();
            break;
        }
        default:
              return;
    }
};

AlertPage.notifyStat = function(skipped) 
{
    Main.debug("errText is " +AlertPage.errText);
    var statObj = {
        event_type: "error",
        event_info: encodeURI(AlertPage.errText),
    };
    Stat.notify(statObj);
    AlertPage.errText = "";
};
